Bug 733949 - Run yum-builddep on spec file directly, make SRPM generation optional
Summary: Run yum-builddep on spec file directly, make SRPM generation optional
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 15
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 733954
TreeView+ depends on / blocked
 
Reported: 2011-08-28 21:00 UTC by Matt McCutchen
Modified: 2012-08-07 20:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 20:07:07 UTC


Attachments (Terms of Use)

Description Matt McCutchen 2011-08-28 21:00:41 UTC
Description of problem:
Regenerating the SRPM is essentially a convoluted way to get the correct BuildRequires for the target architecture in a form usable by yum-builddep.  But starting in F15, yum-builddep can run directly on a spec file (bug 379181).  Mock should do this, and make SRPM generation an optional feature orthogonal to binary RPM building.

Version-Release number of selected component (if applicable):
mock-1.1.12-1.fc15

How reproducible:
Always

Steps to Reproduce:
1. "mock --rebuild" some SRPM.

Actual results:
After extracting the provided SRPM, mock generates a new SRPM and runs yum-builddep on it.

Expected results:
Mock runs yum-builddep on the extracted spec; SRPM generation is optional.

Comment 1 Clark Williams 2011-09-23 17:04:17 UTC
Matt,

I don't see a clear reason why to change the logic in both 'build' and 'installSrpmDeps'.  What is your main concern here? Time spent repackaging the SRPM?

Comment 2 Matt McCutchen 2011-09-24 03:02:56 UTC
Time / simplicity, and moving away from the broken design of putting arch-specific build requirements in the SRPM header (bug 733954).

Comment 3 Piotr Romanus 2011-10-13 14:23:03 UTC
Clark,

I second Matt's request. I would prefer to be able to create a mock jail suitable for development of a package without a need for creating SRPM of this package.

Comment 4 Clark Williams 2011-10-13 17:40:45 UTC
Ok, I'll look into it. doubt it will make it into the 1.1.16 update since I've got lots of stuff in there already and need to push it out. 

Patches gladly accepted :)

Comment 5 Panu Matilainen 2011-10-17 08:16:01 UTC
Note that this would have to be opt-in behavior for quite some time still: koji runs on RHEL-6 (not to mention any older RHEL versions where mock/koji are used) whose rpm does not support what yum-builddep needs to be able to use spec directly.

So for now, being able to use spec directly for collecting build-requires would be limited to users running mock directly on F >= 15.

Comment 6 Clark Williams 2012-02-04 15:40:43 UTC
I think I'm going to hold off working on this until f14 falls out. When f15 is the lowest supported fedora, I'll look at adding specfile-only manipulation but since we still have to deal with el4 and el5, it will still have to be opt-in.

Comment 7 Fedora End Of Life 2012-08-07 20:07:10 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.